body {
  font-family: Inter, sans-serif;
  margin: 0;
  padding: 0;
  font-size: 1rem;
  min-height: 100vh;
  /* background-color: #f4f4f4; */
}

.header-wrapper {
  display: flex;
  background: none;
  background-color: #333;
  color: #fff;
  padding: 1vh 2vw;
  /* text-align: center; */
  height: 6vh;
  justify-content: center;
  gap: 32vw;
  width: auto;
}

.logo {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0%;
  margin: 0;
  cursor: pointer;
}

#logo-hkbk {
  font-size: 2rem;
  font-weight: 800;
  margin: 0;
}

#logo-glug {
    font-size: 2rem;
    margin: 0;
}

.navbar {
  display: flex;
  /* justify-content: center; */
  align-items: center; /* Center items vertically */ /* Allow items to wrap to the next line */
  overflow: hidden; /* Hide overflow to prevent buttons from overflowing */
  gap: 25px;
}

.navbar button {
    background: none;
  color: #fff;
  /* background-color: #333; */
  border: none;
  cursor: pointer;
  font-size: 1rem;
  /* margin: 5px; */
  text-align: center;
  justify-content: center;
  white-space: nowrap; /* Prevent button text from wrapping */
  transition: all 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.navbar button:hover {
    background-color: #575757;
  border-radius: 12px;
  padding: 14px 20px;
  transition: all 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.container {
    justify-content: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
}


.subcontainer {
    width: 50vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    top: 15vh;
}

.text-subcontainer {
    width: 30vw;
    margin-bottom: 20px;
}

.article-header {
    width: 30vw;
    display: flex;
    flex-direction: column;
}

.blog-title p {
    font-size: 3rem;
    font-weight: 700;
    margin: 0;
}

.blog-title {
    margin-bottom: 40px;
}

.blog-subtitle {
    font-size: 1.6rem;
    font-weight: 500;
    margin-bottom: 40px;
}

.genre-component{
    display: flex;
    flex-direction: column;
    font-size: 0.8rem;
    font-weight: 600;
    color: #333333a9;
    gap: 4px;
    margin-bottom: 20px;
}

.sharesheet-component {
    display: flex;
    justify-content: space-between;
    width: 15%;
    position: relative;
    right: 22vh;
    margin-bottom: 40px;
    color: #333333a9;
}

.blog-content span {
    font-size: 1rem;
    line-height: 1.6;
}
